=== added directory 'bin'
=== added file 'bin/install-helper'
--- bin/install-helper	1970-01-01 00:00:00 +0000
+++ bin/install-helper	2014-06-19 21:06:59 +0000
@@ -0,0 +1,73 @@
+#!/bin/bash
+#
+# Copyright (C) 2014 Canonical Ltd.
+# 
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 3, as published
+# by the Free Software Foundation.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranties of
+# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
+# PURPOSE.  See the GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License along
+# with this program.  If not, see <http://www.gnu.org/licenses/>.
+# 
+# In addition, as a special exception, the copyright holders give
+# permission to link the code of portions of this program with the
+# OpenSSL library under certain conditions as described in each
+# individual source file, and distribute linked combinations
+# including the two.
+# You must obey the GNU General Public License in all respects
+# for all of the code used other than OpenSSL.  If you modify
+# file(s) with this exception, you may extend this exception to your
+# version of the file(s), but you are not obligated to do so.  If you
+# do not wish to do so, delete this exception statement from your
+# version.  If you delete this exception statement from all source
+# files in the program, then also delete it here.
+#
+
+FILE_NAME="$1"
+PACKAGE_NAME="$2"
+
+SCOPES_OBJECTPATH=/com/canonical/unity/scopes
+SCOPES_METHOD=com.canonical.unity.scopes.InvalidateResults
+
+LAUNCHER_OBJECTPATH=/com/ubuntu/unity/launcher/installations
+LAUNCHER_INTERFACE=com.ubuntu.unity.launcher.Installations
+LAUNCHER_METHOD=completeInstallation
+
+function invalidate-scope {
+    $SCOPE_ID=$1
+    dbus-send $SCOPES_OBJECTPATH $SCOPES_METHOD string:$SCOPE_ID
+}
+
+function install-package {
+    FILE_NAME="$1"
+    pkcon -p install-local "$FILE_NAME"
+}
+
+function app_id-from-package_name {
+    PACKAGE_NAME=$1
+    IFS=_
+    TRIPLET=($(ubuntu-app-triplet $PACKAGE_NAME))
+    unset IFS
+    echo ${TRIPLET[0]}_${TRIPLET[1]}_current-user-version
+}
+
+function complete-installation {
+    PACKAGE_NAME=$1
+    APP_ID=$2
+    dbus-send $SCOPES_OBJECTPATH $SCOPES_METHOD string:$PACKAGE_NAME string:$APP_ID
+}
+
+if install-package "$FILE_NAME" ; then
+    invalidate-scope clickscope
+    invalidate-scope com.canonical.scopes.clickstore
+    APP_ID=$(app_id-from-package_name $PACKAGE_NAME)
+    complete-installation $PACKAGE_NAME $APP_ID
+else
+    NO_APP_ID=""
+    complete-installation $PACKAGE_NAME $NO_APP_ID
+fi

